|  | Home · All Classes · Modules

# Phonon.EffectWidget Class Reference
[phonon module]

The EffectWidget class provides a widget to control the parameters of an Effect. More...

Inherits QWidget.

### Methods

- __init__ (self, Effect, QWidget parent = None)

## Detailed Description

The EffectWidget class provides a widget to control the parameters of an Effect.

The EffectWidget class provides a widget, with which an effects parameters can be controlled. The widget does not have an API, and is constructed with the Effect, of which parameters should be controlled.

         Phonon.Effect *effect = new Phonon.Effect(effectDescription);
         path.insertEffect(effect);

         Phonon.EffectWidget *effectWidget = new Phonon.EffectWidget(effect);
         effectWidget->show();

The following image shows an example of an effect widget.

Note that some audio effects do not have parameters, and the widget will then not show() at all.

See also Effect, BackendCapabilities, EffectDescription, and Phonon Module.

## Method Documentation

### EffectWidget.__init__ (self, Effect, QWidget parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.